Package org.apache.storm.messaging.netty

## Class Login

- java.lang.Object
- - org.apache.storm.messaging.netty.Login

-     public class Login
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `CallbackHandler` | `callbackHandler` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Login​(String loginContextName, CallbackHandler callbackHandler, String jaasConfFile)` | Login constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getLoginContextName()` |
    `Subject` | `getSubject()` |
    `void` | `shutdown()` |
    `void` | `startThreadIfNeeded()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### callbackHandler

          public CallbackHandler callbackHandler

  - ### Constructor Detail

    - #### Login

          public Login​(String loginContextName,
                       CallbackHandler callbackHandler,
                       String jaasConfFile)
                throws LoginException

      Login constructor. The constructor starts the thread used to periodically re-login to the Kerberos Ticket Granting Server.
      Parameters:
        `loginContextName` - name of section in JAAS file that will be used to login. Passed as first param to javax.security.auth.login.LoginContext().
        `callbackHandler` - Passed as second param to javax.security.auth.login.LoginContext().
      Throws:
        `LoginException` - Thrown if authentication fails.

  - ### Method Detail

    - #### startThreadIfNeeded

          public void startThreadIfNeeded()

    - #### shutdown

          public void shutdown()

    - #### getSubject

          public Subject getSubject()

    - #### getLoginContextName

          public String getLoginContextName()